import type { SocketConnectOpts } from "net";
import type { AdbIncomingSocketHandler, AdbServerClient } from "@yume-chan/adb";
import type { MaybePromiseLike } from "@yume-chan/async";
/**
 * An `AdbServerClient.ServerConnector` implementation for Node.js.
 */
export declare class AdbServerNodeTcpConnector implements AdbServerClient.ServerConnector {
    #private;
    readonly spec: SocketConnectOpts;
    constructor(spec: SocketConnectOpts);
    connect({ unref }?: AdbServerClient.ServerConnectionOptions): Promise<AdbServerClient.ServerConnection>;
    addReverseTunnel(handler: AdbIncomingSocketHandler, address?: string): Promise<string>;
    removeReverseTunnel(address: string): MaybePromiseLike<void>;
    clearReverseTunnels(): MaybePromiseLike<void>;
}
//# sourceMappingURL=index.d.ts.map